/// <reference types="node" />
import { EventEmitter } from 'events';
import firebase from 'firebase';
import * as SimplePeer from 'simple-peer';
export declare interface FirePeer {
    on(event: 'connection', listener: (peer: SimplePeer.Instance) => void): this;
}
export interface Signal extends SimplePeer.SignalData {
    uid: string;
    id: string;
}
export interface FirePeerOptions {
    id?: string;
    spOpts?: SimplePeer.Options;
    peersPath?: string;
    offersPath?: string;
    answerPath?: string;
    uidPath?: string;
    idPath?: string;
    allowOffer?: (offer: Signal) => boolean;
}
export declare class FirePeer extends EventEmitter {
    private fb;
    private offersRef?;
    private offerRefSub;
    private id;
    private spOpts;
    private user;
    private peersPath;
    private offersPath;
    private answerPath;
    private uidPath;
    private idPath;
    constructor(fb: typeof firebase, options?: FirePeerOptions);
    connect(uid: string, id: string): Promise<SimplePeer.Instance>;
    private allowOffer;
    private listen;
    private unlisten;
    private incoming;
}
